﻿using com.daysofwonder;
using ProtoBuf;

namespace AsmodeeNet.Network.ScalableServer
{
    /// <summary>
    /// Player seat contract
    /// </summary>
    [ProtoContract()]
    public interface IPlayerSeat
    {
        /// <summary>
        /// DoW player
        /// </summary>
        Player DoWPlayer { get; set; }

        /// <summary>
        /// ID of the player in the current game
        /// </summary>
        int LocalId { get; set; }

        /// <summary>
        /// Name of the player
        /// </summary>
        string Name { get; set; }
    }
}
